#include <avr/io.h>

#define TAKTFREQUENZ 9216000

#include "RS232.h"
#include "RS232Zahl.h"

int main(void)
{
    uint8_t akku=0;
    uint32_t pause;
    DDRA = 0b00000000;
    DDRB = 0b00000000;
    DDRD = 0b00000000;
    DDRC = 0b11111111; //ber RS232 gesendete Zahlen sollen auch an 
                       //zweiten Mikrocontroller geschickt
                       //und angezeigt werden.

    RS232Zahl::init(115200);
    RS232Zahl::start(true,false);
    while(true)
	{
        RS232Zahl::sendeZahl(akku);        
        //Zahl auerdem wie gewohnt nach Port C schicken:
        PORTC = akku;
        for(pause=0;pause<10000000;pause++);
        //Weiterzhlen:
        akku++;
	}
	return 0;
}
